# cDoor Class Reference

Inheritance diagram for cDoor:

List of all members.

## Public Member Functions

| cDoor (WORD type, DWORD dwGUID, cLocation *pcLoc, char *szName, char *szDesc)
void | Assess (cClient *pcAssesser)
void | Action (cClient *who)
cMessage | CreatePacket ()
void | SetMode (DWORD mode)
DWORD | GetMode ()
void | SetData (WORD wAnimConfig, WORD wSoundSet, WORD wModel, WORD wIcon)

## Friends

class | cClient

## Constructor & Destructor Documentation

cDoor::cDoor | ( | WORD | type,
|  | DWORD | dwGUID,
|  | cLocation * | pcLoc,
|  | char * | szName,
|  | char * | szDesc |
| ) |  |  |

A constructor.

Called whenever a door object is initialized.

Handles the creation of doors.

Called whenever a door object should be initialized.

## Member Function Documentation

void cDoor::Action | ( | cClient * | who | ) | `[virtual]`

Handles the actions of door objects.

This function is called whenever a door is used or should perform an action.

Implements cObject.

void cDoor::Assess | ( | cClient * | pcAssesser | ) | `[virtual]`

Handles the assessment of door objects.

This function is called whenever a door is assessed by a client.

Returns a Game Event (0x0000F7B0) server message of type Identify Object (0x000000C9).

Reimplemented from cObject.

cMessage cDoor::CreatePacket | ( |  | ) | `[virtual]`

Handles the message sent for the creation of doors in the world.

This function is called whenever a door should be created in the world for a given client.

Returns:
  cMessage - Returns a Create Object (0x0000F745) server message.

Implements cObject.

The documentation for this class was generated from the following files:

- E:/uas2/Server/Object.h
- E:/uas2/Server/cDoor.cpp